Magellan Linux

Diff of /branches/mage-next/src/smage2.functions.sh.in

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

trunk/mage/usr/lib/mage/smage2.functions.sh revision 1648 by niro, Fri Jan 13 20:51:18 2012 UTC branches/mage-next/src/smage2.functions.sh.in revision 2843 by niro, Fri Oct 31 14:50:47 2014 UTC
# Line 7  Line 7 
7  smagesource()  smagesource()
8  {  {
9   local file="$1"   local file="$1"
10   local mystate   local localstate
11   local mycodename   local distfilestate
12     local mytag
13    
14   source ${file}   source ${file}
15    
# Line 19  smagesource() Line 20  smagesource()
20   if [[ -n ${PCATEGORIE} ]]   if [[ -n ${PCATEGORIE} ]]
21   then   then
22   PCAT="${PCATEGORIE}"   PCAT="${PCATEGORIE}"
23     unset PCATEGORIE
24   # print a warning   # print a warning
25   echo -e "${COLYELLOW}Warning: 'PCATEGORIE' is deprecated and gets removed in the future.${COLDEFAULT}"   echo -e "${COLYELLOW}Warning: 'PCATEGORIE' is deprecated and gets removed in the future.${COLDEFAULT}"
26   echo -e "${COLYELLOW}         Please modify this smage2 script to use the 'PCAT' variable.${COLDEFAULT}"   echo -e "${COLYELLOW}         Please modify this smage2 script to use the 'PCAT' variable.${COLDEFAULT}"
# Line 28  smagesource() Line 30  smagesource()
30   fi   fi
31   fi   fi
32    
33   [[ -n ${STATE} ]] && mystate="${STATE}"   [[ -n ${STATE} ]] && localstate="${STATE}"
34     [[ -n ${DISTROTAG} ]] && mytag="${DISTROTAG}"
  # do not overide if local state was broken or disabled!  
  case ${STATE} in  
  broken) return ;;  
  disabled) return ;;  
  esac  
35    
36   if [ -f ${SMAGESCRIPTSDIR}/distribution ]   if [ -f ${SMAGESCRIPTSDIR}/distribution ]
37   then   then
38   source ${SMAGESCRIPTSDIR}/distribution   source ${SMAGESCRIPTSDIR}/distribution
39   [[ -n ${STATE} ]] && mystate="${STATE}"   [[ -n ${STATE} ]] && distfilestate="${STATE}"
40     [[ -n ${DISTROTAG} ]] && mytag="${DISTROTAG}"
41     fi
42     # now switch state and export it but do not overide any local states
43     if [[ ! -z ${localstate} ]]
44     then
45     STATE="${localstate}"
46     else
47     STATE="${distfilestate}"
48   fi   fi
  # now switch state and export it  
  STATE="${mystate}"  
 }  
   
 showversion()  
 {  
  echo -en "Magellan Source Install v${SMAGEVERSION} "  
  echo -e  "-- Niels Rogalla (niro@magellan-linux.de)"  
 }  
   
 die()  
 {  
  xtitleclean  
  echo -e ${COLRED}"Exited ${BASH_SOURCE} at line no ${BASH_LINENO}."${COLDEFAULT}  
  echo "SMAGE failed: $@"  
  exit 1  
 }  
   
 die_pipestatus()  
 {  
  # the status change if we do any parameter declarations!!  
  # dont do this anymore, keep this in mind!  
  #  
  # local pos="$1"  
  # local comment="$2"  
  #  
  # [ ${PIPESTATUS[${pos}]} -ne 0 ] && die "${comment}"  
  #  
  [ ${PIPESTATUS[$1]} -ne 0 ] && die "$2"  
 }  
49    
50  xtitle()   if mqueryfeature "pkgdistrotag"
 {  
  if [[ ${TERM} = xterm ]]  
51   then   then
52   echo -ne "\033]0;[sMage: $@]\007"   # if DISTROTAG was not defined globally
53     # or in distribution file then deactivate this feature!
54     # at this point $mytag must have the distrotag
55     if [[ -z ${mytag} ]]
56     then
57     FVERBOSE=off msetfeature "!pkgdistrotag"
58     unset DISTROTAG
59     echo -e "${COLRED}Requested 'pkgdistrotag' but no \$DISTROTAG found!${COLDEFAULT}"
60     echo -e "${COLRED}Disabled the feature for pkgbuild sanity!${COLDEFAULT}"
61     else
62     # now switch state and export it but do not overide any local states
63     export DISTROTAG="${mytag}"
64     fi
65     else
66     unset DISTROTAG
67   fi   fi
  return 0  
68  }  }
69    
70  xtitleclean()  print_distrotag()
71  {  {
72   if [[ ${TERM} = xterm ]]   if FVERBOSE=off mqueryfeature "pkgdistrotag"
73   then   then
74   echo -ne "\033]0;\007"   if [[ ! -z ${DISTROTAG} ]]
75     then
76     # add a point as prefix
77     echo ".${DISTROTAG}"
78     fi
79   fi   fi
  return 0  
80  }  }
81    
82  syncsmage2()  syncsmage2()
# Line 191  download_sources() Line 180  download_sources()
180  }  }
181    
182  # dummy function, used if that does not exist in smage file  # dummy function, used if that does not exist in smage file
183    pkg_setup()
184    {
185     echo "no pkg_setup defined; doing nothing ..."
186     return 0
187    }
188    
189    # dummy function, used if that does not exist in smage file
190  src_prepare()  src_prepare()
191  {  {
192   echo "no src_prepare defined; doing nothing ..."   echo "no src_prepare defined; doing nothing ..."
# Line 247  mconfigure() Line 243  mconfigure()
243   fi   fi
244   fi   fi
245    
246   # always enable shared by default   # always enable shared by default but not for waf configure
247   if [[ ! -z $(./configure --help | grep -- '--.*able-shared') ]]   if [[ ! -z $(./configure --help | grep -- '--.*able-shared') ]] &&
248     [[ -z $(./configure --version | grep waf) ]]
249   then   then
250   myopts+=" --enable-shared"   myopts+=" --enable-shared"
251   fi   fi
# Line 283  minstall() Line 280  minstall()
280   sysconfdir=${BINDIR}/etc \   sysconfdir=${BINDIR}/etc \
281   libdir=${BINDIR}/usr/$(mlibdir) \   libdir=${BINDIR}/usr/$(mlibdir) \
282   "$@" install || die "minstall failed"   "$@" install || die "minstall failed"
283          else   else
284                  die "no Makefile found"   die "no Makefile found"
285          fi   fi
286  }  }
287    
288  mmake()  mmake()
# Line 308  munpack() Line 305  munpack()
305   DEST=$2   DEST=$2
306   fi   fi
307    
308     echo -e "${COLBLUE}>>>${COLGREEN} Unpacking ${SOURCEDIR}/${PNAME}/${SRCFILE}${COLDEFAULT}"
309    
310   [[ ! -d ${DEST} ]] && install -d ${DEST}   [[ ! -d ${DEST} ]] && install -d ${DEST}
311    
312   case "${SRCFILE##*.}" in   case "${SRCFILE##*.}" in
# Line 357  munpack() Line 356  munpack()
356   tar --no-same-owner -xvJf ${SOURCEDIR}/${PNAME}/${SRCFILE} -C ${DEST} || die ".txz unpack failed."   tar --no-same-owner -xvJf ${SOURCEDIR}/${PNAME}/${SRCFILE} -C ${DEST} || die ".txz unpack failed."
357   ;;   ;;
358   rar)   rar)
359   unrar x ${SOURCEDIR}/${PNAME}/${SRCFILE} ${DEST}  || die ".rar unpack failed."   unrar x ${SOURCEDIR}/${PNAME}/${SRCFILE} ${DEST} || die ".rar unpack failed."
360   ;;   ;;
361   zip|xpi|jar)   zip|xpi|jar)
362   unzip ${SOURCEDIR}/${PNAME}/${SRCFILE} -d ${DEST} || die ".zip unpack failed."   unzip ${SOURCEDIR}/${PNAME}/${SRCFILE} -d ${DEST} || die ".zip unpack failed."
# Line 529  sminclude() Line 528  sminclude()
528   then   then
529   for i in $@   for i in $@
530   do   do
531   echo "--- Including ${SMAGESCRIPTSDIR}/include/${i}.sminc"   [[ ${SILENT} = 1 ]] || echo "--- Including ${SMAGESCRIPTSDIR}/include/${i}.sminc"
532   source ${SMAGESCRIPTSDIR}/include/${i}.sminc   source ${SMAGESCRIPTSDIR}/include/${i}.sminc
533   done   done
534   echo   [[ ${SILENT} = 1 ]] || echo
535     fi
536    }
537    
538    march()
539    {
540     local retval
541    
542     if [[ ! -z ${ARCH} ]]
543     then
544     echo "${ARCH}"
545     retval=0
546     else
547     retval=1
548   fi   fi
549    
550     return "${retval}"
551    }
552    
553    marchsrcfile()
554    {
555     local retval
556     local var="$1"
557    
558     [[ -z ${var} ]] && var="SRCFILE"
559    
560     if [[ ! -z $(eval echo \$${var}_${ARCH/i*86/x86}) ]]
561     then
562     eval echo \$${var}_${ARCH/i*86/x86} | tr ';' '\n'
563     retval=0
564     else
565     retval=1
566     fi
567    
568     return "${retval}"
569    }
570    
571    marchsrcdir()
572    {
573     local retval
574     local var="$1"
575    
576     [[ -z ${var} ]] && var="SRCDIR"
577    
578     if [[ ! -z $(eval echo \$${var}_${ARCH/i*86/x86}) ]]
579     then
580     eval echo \$${var}_${ARCH/i*86/x86} | tr ';' '\n'
581     retval=0
582     else
583     retval=1
584     fi
585    
586     return "${retval}"
587    }
588    
589    marchdepend()
590    {
591     local retval
592     local var="$1"
593    
594     [[ -z ${var} ]] && var="DEPEND"
595    
596     if [[ ! -z $(eval echo \$${var}_${ARCH/i*86/x86}) ]]
597     then
598     # evaluate with escape strings for the magefile if called by smage
599     # but do not escape if the smagefile was called by depwalker directly
600     if [[ ${SMAGE_DEPEND} = 1 ]]
601     then
602     eval echo \$${var}_${ARCH/i*86/x86} | tr ';' '\n'
603     else
604     echo "\$(eval echo \\\$${var}_\${ARCH/i*86/x86} | tr ';' '\n')"
605     fi
606     retval=0
607     else
608     retval=1
609     fi
610    
611     return "${retval}"
612    }
613    
614    marchsdepend()
615    {
616     local retval
617     local var="$1"
618    
619     [[ -z ${var} ]] && var="SDEPEND"
620    
621     if [[ ! -z $(eval echo \$${var}_${ARCH/i*86/x86}) ]]
622     then
623     # evaluate with escape strings for the magefile if called by smage
624     # but do not escape if the smagefile was called by depwalker directly
625     if [[ ${SMAGE_DEPEND} = 1 ]]
626     then
627     eval echo \$${var}_${ARCH/i*86/x86} | tr ';' '\n'
628     else
629     echo "\$(eval echo \\\$${var}_\${ARCH/i*86/x86} | tr ';' '\n')"
630     fi
631     retval=0
632     else
633     retval=1
634     fi
635    
636     return "${retval}"
637  }  }
638    
639  setup_distcc_environment()  setup_distcc_environment()
# Line 551  setup_distcc_environment() Line 651  setup_distcc_environment()
651   fi   fi
652  }  }
653    
654  setup_ccache_environment()  setup_icecc_environment()
655  {  {
656   if [ -x /usr/bin/ccache ]   if [ -x /usr/bin/icecc ]
657   then   then
658   echo -e "${COLBLUE}---${COLGREEN} Using CCache for compilation ...${COLDEFAULT}"   echo -e "${COLBLUE}---${COLGREEN} Using IceCC for compilation ...${COLDEFAULT}"
659   export PATH=/usr/$(mlibdir)/ccache/bin:${PATH} || die "ccache: could not export new $PATH"   export PATH=/usr/$(mlibdir)/icecc/bin:${PATH} || die "icecc: could not export new $PATH"
660   fi   fi
661  }  }
662    
663  # fixes given dependencies to match a MAGE_TARGET  setup_ccache_environment()
664  # fix_mage_deps -target s/depend # <-- note -target !  {
665  fix_mage_deps()   if [ -x /usr/bin/ccache ]
 {  
  local target="$1"  
  local depend="$2"  
  local NDEPEND  
  local sym dep cat pver pname  
   
  # deps and provides are special  
  # they must be fixed to match the target  
   
  # run this only if target and depend is not empty  
  if [ -n "${target}" ] && [ -n "${depend}" ]  
666   then   then
667   # fix DEPEND   mqueryfeature "icecc" && export CCACHE_PREFIX=icecc
  while read sym dep  
  do  
  # ignore empty lines  
  [[ -z ${dep} ]] && continue  
668    
669   cat="$(dirname ${dep})"   echo -e "${COLBLUE}---${COLGREEN} Using CCache for compilation ...${COLDEFAULT}"
670   # change if not virtual   export PATH=/usr/$(mlibdir)/ccache/bin:${PATH} || die "ccache: could not export new $PATH"
  if [[ ${cat} = virtual ]]  
  then  
  pname="$(basename ${dep})"  
  else  
  # fix pver to target-pver  
  # to get pname-target-pver  
   
  # doing it backwards !  
  pver="${dep##*-}"  
  # full pver  
  pname="$(basename ${dep/-${pver}/})${target}-${pver}"  
  fi  
   
  # do not add empty lines  
  if [ -z "${NDEPEND}" ]  
  then  
  NDEPEND="${sym} ${cat}/${pname}"  
  else  
  NDEPEND="${NDEPEND}  
  ${sym} ${cat}/${pname}"  
  fi  
   
  unset cat pname pver  
  done << EOF  
 ${depend}  
 EOF  
  # set NDEPEND to DEPEND  
  depend="${NDEPEND}"  
671   fi   fi
   
  echo "${depend}"  
672  }  }
673    
674  # build_mage_script(): helper functions for regen_mage_tree()  # build_mage_script(): helper functions for regen_mage_tree()
# Line 649  build_mage_script() Line 704  build_mage_script()
704  {  {
705   local magefile   local magefile
706   local dest   local dest
  local target  
707   local split_pkg_base   local split_pkg_base
708   local sym   local sym
709   local depname   local depname
# Line 657  build_mage_script() Line 711  build_mage_script()
711   # if MAGE_TREE_DEST not set use BUILDDIR   # if MAGE_TREE_DEST not set use BUILDDIR
712   : ${MAGE_TREE_DEST=${BUILDDIR}/mage-tree}   : ${MAGE_TREE_DEST=${BUILDDIR}/mage-tree}
713    
  # determinate which suffix this mage file should get, if any  
  [[ $1 = --target ]] && shift && target="-$1"  
   
714   # mark package as splitpackage   # mark package as splitpackage
715   [[ $1 = --split-pkg-base ]] && shift && split_pkg_base="$1"   [[ $1 = --split-pkg-base ]] && shift && split_pkg_base="$1"
716    
717   # name of magefile   # name of magefile
718   magefile="${PNAME}${target}-${PVER}-${PBUILD}.mage"   magefile="${PNAME}-${PVER}-${PBUILD}.mage"
719    
720   # destination to magefile   # destination to magefile
721   dest="${MAGE_TREE_DEST}/${PCAT}/${PNAME}${target}/${magefile}"   dest="${MAGE_TREE_DEST}/${PCAT}/${PNAME}/${magefile}"
722    
723   # show what we are doing   # show what we are doing
724   echo -e "${COLBLUE}===${COLGREEN} generating mage file:${COLDEFAULT}"   echo -e "${COLBLUE}===${COLGREEN} generating mage file:${COLDEFAULT}"
# Line 678  build_mage_script() Line 729  build_mage_script()
729   > ${dest}   > ${dest}
730    
731   # pgkname and state   # pgkname and state
732   echo "PKGNAME=\"${PNAME}${target}-${PVER}-\${ARCH}-${PBUILD}\"" >> ${dest}   echo "PKGNAME=\"${PNAME}-${PVER}-\${ARCH}$(print_distrotag)-${PBUILD}\"" >> ${dest}
733   echo "STATE=\"${STATE}\"" >> ${dest}   echo "STATE=\"${STATE}\"" >> ${dest}
734    
735   # description and homepage   # description and homepage
# Line 691  build_mage_script() Line 742  build_mage_script()
742   # special tags and vars   # special tags and vars
743   echo "PKGTYPE=\"${PKGTYPE}\""  >> ${dest}   echo "PKGTYPE=\"${PKGTYPE}\""  >> ${dest}
744    
  # echo MAGE_TARGETS ## note -target is needed !  
  echo "MAGE_TARGETS=\"${target}\"" >> ${dest}  
   
745   # split package base   # split package base
746   echo "SPLIT_PACKAGE_BASE=\"${split_pkg_base}\"" >> ${dest}   echo "SPLIT_PACKAGE_BASE=\"${split_pkg_base}\"" >> ${dest}
747    
# Line 722  build_mage_script() Line 770  build_mage_script()
770   fi   fi
771    
772   # deps and provides   # deps and provides
773   echo "DEPEND=\"$(fix_mage_deps "${target}" "${DEPEND}")\"" >> ${dest}   echo "DEPEND=\"${DEPEND}\"" >> ${dest}
774   echo "SDEPEND=\"$(fix_mage_deps "${target}" "${SDEPEND}")\"" >> ${dest}   echo "SDEPEND=\"${SDEPEND}\"" >> ${dest}
775   echo "PROVIDE=\"${PROVIDE}\"" >> ${dest}   echo "PROVIDE=\"${PROVIDE}\"" >> ${dest}
776    
777   # add special functions   # add special functions
# Line 734  build_mage_script() Line 782  build_mage_script()
782   do   do
783   # add to mage (quotes needed !)   # add to mage (quotes needed !)
784   typeset -f "${i}" >> ${dest}   typeset -f "${i}" >> ${dest}
  # unset to be safe (quotes needed !)  
  #unset "${i}" <-- later to get every target built  
785   done   done
786   fi   fi
787    
# Line 753  regen_mage_tree() Line 799  regen_mage_tree()
799   # build them only if requested   # build them only if requested
800   if mqueryfeature regentree   if mqueryfeature regentree
801   then   then
  # run it without targets  
  if [[ -n ${MAGE_TARGETS} ]]  
  then  
  # build for each target a mage file  
  # run it with several targets  
  echo  
  for subpackage in ${MAGE_TARGETS}  
  do  
  build_mage_script --target "${subpackage}"  
  done  
  echo  
   
802   # run it for splitpackages   # run it for splitpackages
803   elif [[ -n ${SPLIT_PACKAGES} ]]   if [[ -n ${SPLIT_PACKAGES} ]]
804   then   then
805   local split_pkg_base="${PNAME}"   local split_pkg_base="${PNAME}"
806   # save smage environment   # save smage environment
# Line 779  regen_mage_tree() Line 813  regen_mage_tree()
813   # get the right variables for the split   # get the right variables for the split
814   export PNAME="${subpackage}"   export PNAME="${subpackage}"
815   split_info_${subpackage}   split_info_${subpackage}
816     # fix PCATEGORIE -> PCAT
817     if [[ ! -z ${PCATEGORIE} ]]
818     then
819     PCAT="${PCATEGORIE}"
820     unset PCATEGORIE
821     fi
822   # get the preinstall etc   # get the preinstall etc
823   split_export_inherits ${subpackage}   split_export_inherits ${subpackage}
824   build_mage_script --split-pkg-base "${split_pkg_base}"   build_mage_script --split-pkg-base "${split_pkg_base}"
# Line 800  regen_mage_tree() Line 840  regen_mage_tree()
840    
841   # now unset all uneeded vars to be safe   # now unset all uneeded vars to be safe
842   # unset PKGNAME <-- don't do that; smage needs this var   # unset PKGNAME <-- don't do that; smage needs this var
  # unset to be safe (quotes needed !)  
 # for i in ${SPECIAL_FUNCTIONS}  
 # do  
 # unset "${i}"  
 # done  
843   unset SPECIAL_FUNCTIONS   unset SPECIAL_FUNCTIONS
 # for i in ${SPECIAL_VARS}  
 # do  
 # unset "${i}"  
 # done  
844   unset SPECIAL_VARS   unset SPECIAL_VARS
845   unset STATE   unset STATE
846   unset DESCRIPTION   unset DESCRIPTION
# Line 834  split_save_variables() Line 865  split_save_variables()
865   export SAVED_DESCRIPTION="${DESCRIPTION}"   export SAVED_DESCRIPTION="${DESCRIPTION}"
866   export SAVED_HOMEPAGE="${HOMEPAGE}"   export SAVED_HOMEPAGE="${HOMEPAGE}"
867   export SAVED_SPECIAL_VARS="${SPECIAL_VARS}"   export SAVED_SPECIAL_VARS="${SPECIAL_VARS}"
868     export SAVED_SPECIAL_FUNCTIONS="${SPECIAL_FUNCTIONS}"
869   export SAVED_STATE="${STATE}"   export SAVED_STATE="${STATE}"
  export SAVED_PKGTYPE="${PKGTYPE}"  
870   export SAVED_INHERITS="${INHERITS}"   export SAVED_INHERITS="${INHERITS}"
871   export SAVED_DEPEND="${DEPEND}"   export SAVED_DEPEND="${DEPEND}"
872   export SAVED_SDEPEND="${SDEPEND}"   export SAVED_SDEPEND="${SDEPEND}"
# Line 909  split_restore_variables() Line 940  split_restore_variables()
940   export DESCRIPTION="${SAVED_DESCRIPTION}"   export DESCRIPTION="${SAVED_DESCRIPTION}"
941   export HOMEPAGE="${SAVED_HOMEPAGE}"   export HOMEPAGE="${SAVED_HOMEPAGE}"
942   export SPECIAL_VARS="${SAVED_SPECIAL_VARS}"   export SPECIAL_VARS="${SAVED_SPECIAL_VARS}"
943     export SPECIAL_FUNCTIONS="${SAVED_SPECIAL_FUNCTIONS}"
944   export STATE="${SAVED_STATE}"   export STATE="${SAVED_STATE}"
  export PKGTYPE="${SAVED_PKGTYPE}"  
945   export INHERITS="${SAVED_INHERITS}"   export INHERITS="${SAVED_INHERITS}"
946   export DEPEND="${SAVED_DEPEND}"   export DEPEND="${SAVED_DEPEND}"
947   export SDEPEND="${SAVED_SDEPEND}"   export SDEPEND="${SAVED_SDEPEND}"
# Line 978  split_unset_variables() Line 1009  split_unset_variables()
1009   unset SAVED_DESCRIPTION   unset SAVED_DESCRIPTION
1010   unset SAVED_HOMEPAGE   unset SAVED_HOMEPAGE
1011   unset SAVED_SPECIAL_VARS   unset SAVED_SPECIAL_VARS
1012     unset SAVED_SPECIAL_FUNCTIONS
1013   unset SAVED_STATE   unset SAVED_STATE
1014   unset SAVED_PKGTYPE   unset SAVED_PKGTYPE
1015   unset SAVED_INHERITS   unset SAVED_INHERITS
# Line 1058  generate_package_md5sum() Line 1090  generate_package_md5sum()
1090   local pver   local pver
1091   local pbuild   local pbuild
1092   local parch   local parch
  local target  
1093   local pkgname   local pkgname
1094    
1095   # very basic getops   # very basic getops
# Line 1070  generate_package_md5sum() Line 1101  generate_package_md5sum()
1101   --pver|-v) shift; pver="$1" ;;   --pver|-v) shift; pver="$1" ;;
1102   --pbuild|-b) shift; pbuild="$1" ;;   --pbuild|-b) shift; pbuild="$1" ;;
1103   --parch|a) shift; parch="$1" ;;   --parch|a) shift; parch="$1" ;;
  --target|t) shift; target="$1" ;;  
1104   esac   esac
1105   shift   shift
1106   done   done
# Line 1086  generate_package_md5sum() Line 1116  generate_package_md5sum()
1116   [ -z "${PKGDIR}" ] && die "generate_package_md5sum() \$PKGDIR not set."   [ -z "${PKGDIR}" ] && die "generate_package_md5sum() \$PKGDIR not set."
1117   [ -z "${PKGSUFFIX}" ] && die "generate_package_md5sum() \$PKGSUFFIX not set."   [ -z "${PKGSUFFIX}" ] && die "generate_package_md5sum() \$PKGSUFFIX not set."
1118    
  # fix target as it may be empty !  
  [ -n "${target}" ] && target="-${target}"  
   
1119   # build pkgname   # build pkgname
1120   pkgname="${pname}${target}-${pver}-${parch}-${pbuild}"   pkgname="${pname}-${pver}-${parch}$(print_distrotag)-${pbuild}"
1121    
1122   # build pkg-md5-sum only if requested   # build pkg-md5-sum only if requested
1123   if mqueryfeature regentree   if mqueryfeature regentree
# Line 1108  generate_package_md5sum() Line 1135  generate_package_md5sum()
1135   : ${MAGE_TREE_DEST=${BUILDDIR}/mage-tree}   : ${MAGE_TREE_DEST=${BUILDDIR}/mage-tree}
1136    
1137   # setup md5 dir   # setup md5 dir
1138   dest="${MAGE_TREE_DEST}/${pcat}/${pname}${target}/md5"   dest="${MAGE_TREE_DEST}/${pcat}/${pname}/md5"
1139   install -d ${dest}   install -d ${dest}
1140    
1141   # gen md5sum   # gen md5sum
# Line 1128  source_pkg_build() Line 1155  source_pkg_build()
1155    
1156   if [[ ! -d ${SOURCEDIR}/${PNAME} ]]   if [[ ! -d ${SOURCEDIR}/${PNAME} ]]
1157   then   then
1158   echo "No SRC_URI defined; src-pkg-tarball not necessary ..."   install -d ${SOURCEDIR}/${PNAME}
  return 0  
1159   fi   fi
1160    
1161   [ -z "${SRCPKGDIR}" ] && die "\$SRCPKGDIR not found. Please setup your ${MAGERC} correctly."   [ -z "${SRCPKGDIR}" ] && die "\$SRCPKGDIR not found. Please setup your ${MAGERC} correctly."
# Line 1143  source_pkg_build() Line 1169  source_pkg_build()
1169   [[ ! -d ${SRCPKGDIR} ]] && install -d ${SRCPKGDIR}   [[ ! -d ${SRCPKGDIR} ]] && install -d ${SRCPKGDIR}
1170   mv ${BUILDDIR}/${PNAME}-${PVER}-${PBUILD}.tar.bz2 ${SRCPKGDIR}/${PNAME}-${PVER}-${PBUILD}.${SRCPKGSUFFIX}   mv ${BUILDDIR}/${PNAME}-${PVER}-${PBUILD}.tar.bz2 ${SRCPKGDIR}/${PNAME}-${PVER}-${PBUILD}.${SRCPKGSUFFIX}
1171    
1172   echo -e "${COLGREEN}Source package ${COLBLUE}${PNAME}-${PVER}-${PBUILD}.${SRCPKGSUFFIX} ${COLGREEN}successfully builded.${COLDEFAULT}"   echo -e "${COLGREEN}Source package ${COLBLUE}${PNAME}-${PVER}-${PBUILD}.${SRCPKGSUFFIX} ${COLGREEN}successfully builded.${COLDEFAULT}\n"
1173  }  }
1174    
1175  step_by_step()  step_by_step()
# Line 1175  run_resume() Line 1201  run_resume()
1201   return 1   return 1
1202   fi   fi
1203  }  }
1204    
1205    mqalint()
1206    {
1207     return 0
1208    }

Legend:
Removed from v.1648  
changed lines
  Added in v.2843